package com.ibtp.kontor.library.dal;

import com.ibtp.kontor.library.entity.FileEntity;

import java.util.Collection;
import java.util.List;

/**
 * Created by tpeetz on 23.01.2015.
 */
interface FileDao {

    public FileEntity getById(Long id);

    public Collection<FileEntity> findByIds(List<Long> ids);

    public Collection<FileEntity> findByName(String name);

    public FileEntity store(FileEntity entity);

    public void delete(FileEntity entity);
}
